perl-UV-1.000009-alt1.i586.rpm


Advertisement

Description

perl-UV - perl interface to libuv

Property Value
Distribution ALT Linux Sisyphus
Repository Autoimports i586
Package filename perl-UV-1.000009-alt1.i586.rpm
Package name perl-UV
Package version 1.000009
Package release alt1
Package architecture i586
Package type rpm
Category Development/Perl
Homepage -
License -
Maintainer -
Download size 159.39 KB
Installed size 159.39 KB
UV provides low-level interface to libuv, https://github.com/joyent/libuv, platform layer for node.js.
Low-level means this module's functions maps to libuv functions directry.
`uv_listen' maps to `UV::listen', `uv_tcp_connect' to `UV::tcp_connect', and so on.
This is because I'm using this module to make some prototypes for native C application which uses libuv.
Perl codes using this module can be easily converted to C programs.

Alternatives

Package Version Architecture Repository
perl-UV-1.000009-alt1.x86_64.rpm 1.000009 x86_64 Autoimports
perl-UV - - -

Requires

Name Value
/usr/lib/perl5 -
libc.so.6(GLIBC_2.0) -
libc.so.6(GLIBC_2.1.3) -
libperl-5.28.so -
libpthread.so.0(GLIBC_2.0) -
libuv.so.1 -
perl(Math/Int64.pm) -
perl(Scalar/Util.pm) -
perl(XS/Object/Magic.pm) -
perl(XSLoader.pm) >= 0.140
perl(constant.pm) -
perl(parent.pm) -
rpmlib(PayloadIsLzma) -
rpmlib(SetVersions) -
rtld(GNU_HASH) -

Provides

Name Value
perl(UV.pm) = 1.0.009
perl(UV/Check.pm) = 1.0.009
perl(UV/Handle.pm) = 1.0.009
perl(UV/Idle.pm) = 1.0.009
perl(UV/Loop.pm) = 1.0.009
perl(UV/Poll.pm) = 1.0.009
perl(UV/Prepare.pm) = 1.0.009
perl(UV/Timer.pm) = 1.0.009
perl-UV = 1.000009-alt1

Download

Type URL
Mirror ftp.altlinux.org
Binary Package perl-UV-1.000009-alt1.i586.rpm
Source Package perl-UV-1.000009-alt1.src.rpm

Install Howto

  1. Add the following line to /etc/apt/sources.list:
    
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/autoimports/Sisyphus i586 autoimports
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/autoimports/Sisyphus noarch autoimports
    
  2. Update the package index:
    # sudo apt-get update
  3. Install perl-UV rpm package:
    # sudo apt-get install perl-UV

Files

Path
/usr/lib/perl5/UV.pm
/usr/lib/perl5/UV/Check.pm
/usr/lib/perl5/UV/Handle.pm
/usr/lib/perl5/UV/Idle.pm
/usr/lib/perl5/UV/Loop.pm
/usr/lib/perl5/UV/Poll.pm
/usr/lib/perl5/UV/Prepare.pm
/usr/lib/perl5/UV/Timer.pm
/usr/lib/perl5/auto/UV/UV.so
/usr/share/doc/perl-UV-1.000009/CONTRIBUTING.md
/usr/share/doc/perl-UV-1.000009/Changes
/usr/share/doc/perl-UV-1.000009/LICENSE
/usr/share/doc/perl-UV-1.000009/README

See Also

Package Description
perl-Ufal-MorphoDiTa-1.9.2.1-alt3.1.i586.rpm Bindings to MorphoDiTa library
perl-Ufal-NameTag-1.1.2.1-alt2.1.i586.rpm Bindings to NameTag library
perl-Ufal-Parsito-1.1.0.1-alt3.1.i586.rpm Bindings to Parsito library
perl-Ufal-UDPipe-1.2.0.1-alt2.1.i586.rpm Bindings to UDPipe library
perl-UnQLite-0.05-alt3.1.i586.rpm Perl bindings for UnQLite
perl-Unicode-BiDiRule-0.04-alt1.1.i586.rpm RFC 5893 BiDi Rule
perl-Unicode-Casing-0.16-alt5_12.i586.rpm Perl extension to override system case changing functions
perl-Unicode-ICU-Collator-0.003-alt2.i586.rpm Wrapper around ICU collation services
perl-Unicode-Japanese-0.49-alt4.1.i586.rpm Convert encoding of japanese text
perl-Unicode-Japanese-scripts-0.49-alt4.1.i586.rpm Unicode-Japanese scripts
perl-Unicode-Precis-1.100-alt2.1.i586.rpm RFC 7564 PRECIS Framework - Enforcement and Comparison
perl-Unicode-Precis-Preparation-0.01-alt3.1.i586.rpm RFC 7564 PRECIS Framework - Preparation
perl-Unicode-Transform-0.51-alt4.1.i586.rpm conversion among Unicode Transformation Formats
perl-Unicode-Truncate-0.303-alt3.1.i586.rpm Unicode-aware efficient string truncation
perl-Unix-Getrusage-0.03-alt4.1.i586.rpm perl module Unix-Getrusage
Advertisement
Advertisement